Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/8089/?format=api
{ "ob_id": 8089, "uuid": "008ad14a19d37cc23286a38ed7627522", "title": "AATSR: Three Band Colour Composite Browse Product (ATS_AST_BP), v2.1", "abstract": "Advanced Along-Track Scanning Radiometer (AATSR) mission was funded jointly by the UK Department of Energy and Climate Change External Link (DECC) and the Australian Department of Innovation, Industry, Science and Research External Link (DIISR).\r\n\r\nThis dataset contains the Advanced Along-Track Scanning Radiometer (AATSR) on ESA ENVISAT satellite Three Band Colour Composite Browse Product. These data are 3 band colour composite, quick-look images at coarse resolution. \r\n\r\nThis product has been derived from the Level 1B product and auxiliary data. The three bands are selected to best show the feature of the image, and it could vary between daylight time and night time. It also includes geolocation grid. The third reprocessing was done to implement updated algorithms, processors (the IPF Processor 6.05 from the IPF Processor 6.01), and auxiliary files.", "keywords": "AATSR, Colour Composite", "publicationState": "published", "dataPublishedTime": "2014-07-03T15:26:37", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/8090/?format=api", "dataPath": "/neodc/aatsr_multimission/aatsr-v2.1/data/ats_ast_bp", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 231940560353, "numberOfFiles": 100214, "fileFormat": "Data are netCDF formatted\r\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2315/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "The data were acquired by the European Space Agency's (ESA) Envisat satellite, and the NERC Earth Observation Data Centre (NEODC) mirrors the data for UK users.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5250/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/19899/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/8059/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/19727/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/43180/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32922/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32916/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32918/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32919/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32920/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41010/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/41011/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32917/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/8093/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2521/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }